class PendingAssetServiceRequest {
  String? headerMessage;
  List<Details>? details;

  PendingAssetServiceRequest({this.headerMessage, this.details});

  PendingAssetServiceRequest.fromJson(Map<String, dynamic> json) {
    headerMessage = json['headerMessage'];
    details = <Details>[];
    if (json['details'] != null) {
      json['details'].forEach((v) {
        details!.add(Details.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['headerMessage'] = headerMessage;
    if (details != null) {
      data['details'] = details!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Details {
  int? id;
  String? message;
  String? callComments;
  String? voiceNote;
  String? createdBy;

  Details({this.id, this.message});

  Details.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    message = json['message'];
    callComments = json['callComments'];
    voiceNote = json['voiceNote'];
    createdBy = json['createdBy'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['message'] = message;
    data['callComments'] = callComments;
    data['voiceNote'] = voiceNote;
    data['createdBy'] = createdBy;
    return data;
  }
}
